<!DOCTYPE html>
<html lang="en">

<head>
	<title>photoCRUD</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

	<link rel="stylesheet" href="mystyle.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</head>

<body>

	<div class="container">
		<h2 style="text-align: center;">Order Detail</h2>




		<table class="table table-bordered table-striped table-hover" id="order-table">
			<thead>
				<tr>
					<th>STT</th>
					<th>comments</th>
					<th>orderDate</th>
					<th>requiredDate</th>
					<th>shippedDate</th>
					<th>status</th>
					<th>customer name</th>
					<th>Action</th>
				</tr>
		</table>
	</div>
	<script>
		/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
		// Biến mảng hằng số chứa danh sách tên các thuộc tính
		const gORDER_COLS = ["id", "comments", "orderDate", "requiredDate", "shippedDate", "status", "action"];

		// Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
		const gORDER_STT_COL = 0;
		const gORDER_COMMENT_COL = 1;
		const gORDER_ORDERDATE_COL = 2;
		const gORDER_REQUIREDDATE_COL = 3;
		const gORDER_SHIPPEDDATE_COL = 4;
		const gORDER_STATUS_COL = 5;
		const gORDER_CUSTOMER_NAME_COL = 6;
		const gORDER_ACTION_COL = 7;

		var table = $("#order-table").DataTable({
			columns: [
				{ data: gORDER_COLS[gORDER_STT_COL] },
				{ data: gORDER_COLS[gORDER_COMMENT_COL] },
				{ data: gORDER_COLS[gORDER_ORDERDATE_COL] },
				{ data: gORDER_COLS[gORDER_REQUIREDDATE_COL] },
				{ data: gORDER_COLS[gORDER_SHIPPEDDATE_COL] },
				{ data: gORDER_COLS[gORDER_STATUS_COL] },
				{ data: gORDER_COLS[gORDER_CUSTOMER_NAME_COL] },
				{ data: gORDER_COLS[gORDER_ACTION_COL] }
			],
			columnDefs: [
				{ // định nghĩa lại cột action
					targets: gORDER_ACTION_COL,
					defaultContent: `
					<i class="fas fa-edit edit-order"></i>
					<i class="fas fa-trash-alt delete-order"></i>
			  		`
				},
				{ // định nghĩa lại cột action
					targets: gORDER_CUSTOMER_NAME_COL,
					render: function (data) {
						data = gCustomer.firstName + " " + gCustomer.lastName
						return data;
					},
				}
			]
		})
		var gCustomerId = '';
		var gCustomer = '';
		$(document).ready(function () {
			onPageLoading();


		})


		/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
		function onPageLoading() {
			getParamIdOnUrl();
			if (!gCustomerId) {
				alert("Missing parameter")
			} else {
				callApiToGetCustomerById(gCustomerId)
				callApiToGetOrder();

			}

		}






		/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
		function getParamIdOnUrl() {
			var url_string = window.location.href;
			var url = new URL(url_string);
			gCustomerId = url.searchParams.get("id");

		}


		function callApiToGetOrder() {
			$.ajax({
				url: `http://localhost:8080/customer/${gCustomerId}/orders`,
				type: "GET",
				dataType: "json",
				success: function (res) {
					console.log('check photo by id', res);

					table.clear();
					table.rows.add(res);
					table.draw();
				},
				error: function (err) {
					console.log(err.response);
				}
			})
		}
		//hàm gọi api để lấy album cần edit theo id
		function callApiToGetCustomerById(id) {

			$.ajax({
				url: `http://localhost:8080/customer/details/${id}`,
				async: false,
				type: "GET",
				dataType: "json",
				success: function (res) {
					gCustomer = res
					console.log('check data customer', gCustomer);

				},
				error: function (err) {
					console.log(err.response);
				}
			})

		}









	</script>
</body>

</html>